Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.action
Class ActionRouter

    java.lang.Object
      org.apache.jmeter.gui.action.ActionRouter

All Implemented Interfaces:
  ActionListener, EventListener

public final class ActionRouter
extends Object
implements ActionListener

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`void` | `addPostActionListener(Class action, ActionListener listener)` Allows an ActionListener to receive notification of a command being executed after the command has executed.
`void` | `addPreActionListener(Class action, ActionListener listener)` Allows an ActionListener to receive notification of a command being executed prior to the actual execution of the command.
`void` | `doActionNow(ActionEvent e)` To execute an action immediately in the current thread.
`Set` | `getAction(String actionName)`
`Command` | `getAction(String actionName, Class actionClass)`
`Command` | `getAction(String actionName, String className)`
`static ActionRouter` | `getInstance()` Gets the Instance attribute of the ActionRouter class
`protected void` | `postActionPerformed(Class action, ActionEvent e)`
`protected void` | `preActionPerformed(Class action, ActionEvent e)`
`void` | `removePostActionListener(Class action, ActionListener listener)` Allows an ActionListener to be removed from receiving notifications of a command being executed after the command has executed.
`void` | `removePreActionListener(Class action, ActionListener listener)` Allows an ActionListener to be removed from receiving notifications of a command being executed prior to the actual execution of the command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### doActionNow

    public void doActionNow(ActionEvent e)

  To execute an action immediately in the current thread.

  Parameters:
    `e` - the action to execute

### getAction

    public Set getAction(String actionName)

### getAction

    public Command getAction(String actionName,
                             Class actionClass)

### getAction

    public Command getAction(String actionName,
                             String className)

### addPreActionListener

    public void addPreActionListener(Class action,
                                     ActionListener listener)

  Allows an ActionListener to receive notification of a command being executed prior to the actual execution of the command.

  Parameters:
    `action` - the Class of the command for which the listener will notifications for. Class must extend org.apache.jmeter.gui.action.Command.
    `listener` - the ActionListener to receive the notifications

### removePreActionListener

    public void removePreActionListener(Class action,
                                        ActionListener listener)

  Allows an ActionListener to be removed from receiving notifications of a command being executed prior to the actual execution of the command.

  Parameters:
    `action` - the Class of the command for which the listener will notifications for. Class must extend org.apache.jmeter.gui.action.Command.
    `listener` - the ActionListener to receive the notifications

### addPostActionListener

    public void addPostActionListener(Class action,
                                      ActionListener listener)

  Allows an ActionListener to receive notification of a command being executed after the command has executed.

  Parameters:
    `action` - the Class of the command for which the listener will notifications for. Class must extend org.apache.jmeter.gui.action.Command.
    `listener` -

### removePostActionListener

    public void removePostActionListener(Class action,
                                         ActionListener listener)

  Allows an ActionListener to be removed from receiving notifications of a command being executed after the command has executed.

  Parameters:
    `action` - the Class of the command for which the listener will notifications for. Class must extend org.apache.jmeter.gui.action.Command.
    `listener` -

### preActionPerformed

    protected void preActionPerformed(Class action,
                                      ActionEvent e)

### postActionPerformed

    protected void postActionPerformed(Class action,
                                       ActionEvent e)

### getInstance

    public static ActionRouter getInstance()

  Gets the Instance attribute of the ActionRouter class

  Returns:
    The Instance value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.